Bitcoin Lightning Network Capacity

Total BTC liquidity and active channels enabling instant, low-cost Bitcoin transactions

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/metrics/lightning-network-capacity/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

resolution (optional) — day1 (default), hour12, hour4, hour1, 30mn, 10mn. Finer buckets are served to Advanced and Enterprise accounts; see Resolutions.

before (optional) — exclusive cursor, returns observations older than this timestamp_ms. Finer resolutions only.

limit (optional) — page size for finer resolutions. Default 2500, maximum 5000. Ignored for day1.

Path params

:metric_name — one of the metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each metric is fetched independently. Responses are trimmed samples to show structure.

2 metrics
Metric

Lightning Network Capacity

Data used by the Bitcoin Lightning Network Capacity chart.

Endpoint
https://newhedge.io/api/v2/metrics/lightning-network-capacity/lightning_network_capacity?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your API token.

Sample response
200 Successful response
[
  [
    1786752000000,
    3771.92758633
  ],
  [
    1786838400000,
    3794.64922069
  ],
  [
    1786924800000,
    3803.13418
  ]
]
Metric

Lightning Channel Count

Data used by the Bitcoin Lightning Network Capacity chart.

Endpoint
https://newhedge.io/api/v2/metrics/lightning-network-capacity/lightning_channel_count?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your API token.

Sample response
200 Successful response
[
  [
    1786752000000,
    39171.0
  ],
  [
    1786838400000,
    39237.0
  ],
  [
    1786924800000,
    39248.0
  ]
]